## org.eclipse.emf.cdo.server.db.mapping
Interface IClassMappingDeltaSupport

    public interface IClassMappingDeltaSupport

Interface which complements `IClassMapping` with methods to facilitate revision delta support.

Since:
  2.0
See Also:
  `IMappingStrategy#hasDeltaSupport()`

Method Summary
`void` `writeRevisionDelta(IDBStoreAccessor dbStoreAccessor, InternalCDORevisionDelta delta, long created, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` Write a revision delta.

Method Detail

### writeRevisionDelta

    void writeRevisionDelta(IDBStoreAccessor dbStoreAccessor,
                            InternalCDORevisionDelta delta,
                            long created,
                            org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

  Write a revision delta.

  Parameters:
    `dbStoreAccessor` - the accessor to use.
    `delta` - the delta to write.
    `created` - the creation timestamp of the new version
    `monitor` - the monitor to report progress.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.